@extends('layouts.form')

@section('title')
    Edit Business Location
@endsection

@section('form-title')
    {{__('business_location.edit_business_location')}}
@endsection

@section('form-navigation')
    <li><a class="text-decoration-none" href="{{ route('allBusinessLocations') }}">{{__('business_location.list_business_location')}}</a></li>
    <li>{{__('business_location.edit_business_location')}} - {{ $business_location->business_name }}</li>
@endsection

@section('form-tabs-li')
    <li class="nav-item" role="presentation">
        <button class="nav-link active" id="pills-basic-primary-tab" data-bs-toggle="pill" data-bs-target="#pills-basic-primary"
            type="button" role="tab" aria-controls="pills-basic-primary" aria-selected="true">{{__('business_location.business_location_info')}}</button>
    </li>
    <li class="nav-item" role="presentation">
        <button class="nav-link" id="pills-owner-info-tab" data-bs-toggle="pill" data-bs-target="#pills-owner-info"
            type="button" role="tab" aria-controls="pills-owner-info" aria-selected="true">{{__('business_location.owner_info')}}</button>
    </li>
    <li class="nav-item" role="presentation">
        <button class="nav-link" id="pills-owner-address-primary-tab" data-bs-toggle="pill"
            data-bs-target="#pills-owner-address-primary" type="button" role="tab"
            aria-controls="pills-owner-address-primary" aria-selected="false">{{__('business_location.owner_address_info')}}</button>
    </li>
    <li class="nav-item" role="presentation">
        <button class="nav-link" id="pills-owner-social-links-tab" data-bs-toggle="pill"
            data-bs-target="#pills-owner-social-links" type="button" role="tab"
            aria-controls="pills-owner-social-links" aria-selected="false">{{__('business_location.owner_social_links')}}</button>
    </li>
@endsection

@section('form-tabs-content')
    <form class="needs-validation" method="POST" action="{{ route('updateBusinessLocation', $business_location->id) }}"
        enctype="multipart/form-data">
        @csrf

        <div class="tab-content" id="pills-tabContent">
            {{-- Basic Info Group --}}
            <div class="tab-pane fade show active px-3" id="pills-basic-primary" role="tabpanel"
                aria-labelledby="pills-basic-primary-tab">

                {{-- <form class="row g-3 needs-validation flex-row-reverse text-end" novalidate> --}}
                <div class="row">

                    {{-- Business Location Name --}}
                    <div class="col-md-4 mt-4">
                        <label for="business_name" class="form-label">{{__('business_location.business_location_name')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start text-start" id="business_name"
                                aria-describedby="nameHelp" placeholder="{{__('business_location.enter')}} {{__('business_location.business_location_name')}} {{__('business_location.dots')}}"
                                name="business_name"
                                value="{{ old('business_name') ?? $business_location->business_name }}" required>

                        </div>
                    </div>

                    {{-- Email --}}
                    <div class="col-md-4 mt-4">
                        <label for="email" class="form-label">{{__('business_location.email')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-envelope"></i>
                            </span>
                            <input type="text" class="form-control text-start text-start" id="email"
                                aria-describedby="email" placeholder="{{__('business_location.enter')}} {{__('business_location.email')}} {{__('business_location.dots')}}" name="email"
                                value="{{ old('email') ?? $business_location->email }}" required>

                        </div>
                    </div>

                    {{-- Mobile Number --}}
                    <div class="col-md-4 mt-4">
                        <label for="phone" class="form-label">{{__('business_location.phone')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="phone"
                                placeholder="{{__('business_location.enter')}} {{__('business_location.phone')}} {{__('business_location.dots')}}" name="phone"
                                value="{{ old('phone') ?? $business_location->phone }}" required>

                        </div>
                    </div>

                    {{-- Alternative Mobile Number --}}
                    <div class="col-md-4 mt-4">
                        <label for="alternative_phone" class="form-label">{{__('business_location.alternative_phone')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start text-start" id="alternative_phone"
                                placeholder="{{__('business_location.enter')}} {{__('business_location.alternative_phone')}} {{__('business_location.dots')}}" name="alternative_phone"
                                value="{{ old('alternative_phone') ?? $business_location->alternative_phone }}">

                        </div>
                    </div>

                    {{-- Address --}}
                    <div class="col-md-4 mt-4">
                        <label for="address" class="form-label">{{__('business_location.address')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start text-start" id="address"
                                aria-describedby="address" placeholder="{{__('business_location.enter')}} {{__('business_location.address')}} {{__('business_location.dots')}}" name="address"
                                value="{{ old('address') ?? $business_location->address }}">

                        </div>
                    </div>

                    {{-- License Start Date --}}
                    <div class="col-md-4 mt-4">
                        <label for="license_start_date" class="form-label">{{__('business_location.license_start_date')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="date" class="form-control text-start" id="license_start_date"
                                placeholder="{{__('business_location.enter')}} {{__('business_location.license_start_date')}} {{__('business_location.dots')}}" name="license_start_date"
                                value="{{ old('license_start_date') ?? $business_location->license_start_date }}"
                                required>

                        </div>
                    </div>

                    {{-- License End Date --}}
                    <div class="col-md-4 mt-4">
                        <label for="license_end_date" class="form-label">{{__('business_location.license_end_date')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="date" class="form-control text-start" id="license_end_date"
                                placeholder="{{__('business_location.enter')}} {{__('business_location.license_end_date')}} {{__('business_location.dots')}}" name="license_end_date"
                                value="{{ old('license_end_date') ?? $business_location->license_end_date }}" required>

                        </div>
                    </div>

                    {{-- Max. No. Of Students --}}
                    <div class="col-md-4 mt-4">
                        <label for="max_students" class="form-label">{{__('business_location.max_no_of_students')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="max_students"
                                placeholder="{{__('business_location.enter')}} {{__('business_location.max_no_of_students')}} {{__('business_location.dots')}}" name="max_students"
                                value="{{ old('max_students') ?? $business_location->max_students }}" required>

                        </div>
                    </div>

                    {{-- Max. No. Of Assignments --}}
                    <div class="col-md-4 mt-4">
                        <label for="max_assignments" class="form-label">{{__('business_location.max_no_of_assignments')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="max_assignments"
                                placeholder="{{__('business_location.enter')}} {{__('business_location.max_no_of_assignments')}} {{__('business_location.dots')}}" name="max_assignments"
                                value="{{ old('max_assignments') ?? $business_location->max_assignments }}" required>

                        </div>
                    </div>

                    {{-- Max. No. Of Submissions --}}
                    <div class="col-md-4 mt-4">
                        <label for="max_submissions" class="form-label">{{__('business_location.max_no_of_submissions')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="max_submissions"
                                placeholder="{{__('business_location.enter')}} {{__('business_location.max_no_of_submissions')}} {{__('business_location.dots')}}" name="max_submissions"
                                value="{{ old('max_submissions') ?? $business_location->max_submissions }}" required>

                        </div>
                    </div>

                    {{-- Max. No. Of Admins --}}
                    <div class="col-md-4 mt-4">
                        <label for="max_admins" class="form-label">{{__('business_location.max_no_of_admins')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="max_admins"
                                placeholder="{{__('business_location.enter')}} {{__('business_location.max_no_of_admins')}} {{__('business_location.dots')}}" name="max_admins"
                                value="{{ old('max_admins') ?? $business_location->max_admins }}" required>

                        </div>
                    </div>

                    {{-- Max. No. Of Trainers --}}
                    <div class="col-md-4 mt-4">
                        <label for="max_trainers" class="form-label">{{__('business_location.max_no_of_trainers')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="max_trainers"
                                placeholder="{{__('business_location.enter')}} {{__('business_location.max_no_of_trainers')}} {{__('business_location.dots')}}" name="max_trainers"
                                value="{{ old('max_trainers') ?? $business_location->max_trainers }}" required>

                        </div>
                    </div>

                    {{-- Is Active --}}
                    <div class="col-md-4 mt-4">
                        <label for="is_active" class="form-label">{{__('business_location.status')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-check"></i>
                            </span>
                            <select class="form-control text-start custom-select" id="is_active" name="is_active"
                                required>
                                <option value="Active"
                                    @if (old('is_active') == null) {{ $business_location->is_active == 'Active' ? 'selected' : '' }} @else {{ old('is_active') == 'Active' ? 'selected' : '' }} @endif>
                                    {{__('business_location.active')}}</option>
                                <option value="InActive"
                                    @if (old('is_active') == null) {{ $business_location->is_active == 'InActive' ? 'selected' : '' }} @else {{ old('is_active') == 'InActive' ? 'selected' : '' }} @endif>
                                    {{__('business_location.in_active')}}</option>
                            </select>

                        </div>
                    </div>

                    {{-- Upload Image --}}
                    <div class="col-md-2 mt-4">
                        @if ($business_location->image !== null)
                            <div class="form-group">
                                <img class="image-fload" width="100%" height="100%"
                                    src='{{ asset("uploads/$business_location->image") }}'
                                    alt="{{ $business_location->business_name }}">
                            </div>
                        @else
                            <br>
                            <p class="filelabel">{{__('business_location.no_business_logo')}}</p>
                        @endif
                    </div>
                    <div class="col-md-2 mt-4">
                        <label for="image_input" class="form-label filelabel">
                            <i class="fa fa-paperclip">
                            </i>
                            <span class="title">
                                {{__('business_location.upload_logo')}}
                            </span>
                            <input class="FileUpload1 form-control" id="image_input" name="image" type="file" />
                        </label>
                    </div>

                    {{-- Technical Supervisor --}}
                    <div class="col-md-4 mt-4">
                        <label for="Technical Supervisor" class="form-label">{{__('business_location.technical_supervisor')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-check"></i>
                            </span>
                            <input type="text" class="form-control text-start text-start" id="technical_supervisor"
                                aria-describedby="technical_supervisor" placeholder="{{__('business_location.enter')}} {{__('business_location.technical_supervisor')}} Name {{__('business_location.dots')}}"
                                name="technical_supervisor"
                                value="{{ old('technical_supervisor') ?? $business_location->technical_supervisor }}"
                                required>
                        </div>
                    </div>

                    {{-- Business Location Color Picker --}}
                    <div class="col-md-4 mt-4">
                        <label for="Business Location Color Picker" class="form-label">{{__('business_location.business_location_color_picker')}}
                            Picker</label>
                        <div class="input-group has-validation">
                            <input type="color" class="form-control text-start text-start" id="colorPicker"
                                aria-describedby="theme_color" placeholder="Select {{__('business_location.business_location_color_picker')}} {{__('business_location.dots')}}"
                                name="theme_color" value="{{ old('theme_color') ?? $business_location->theme_color }}"
                                required>
                        </div>
                    </div>


                </div>

            </div>


            {{-- Owner Info Group --}}
            <div class="tab-pane fade show px-3" id="pills-owner-info" role="tabpanel"
                aria-labelledby="pills-owner-info-tab">


                <div class="row">

                    {{-- Full Name --}}
                    <div class="col-md-4 mt-4">
                        <label for="owner_full_name" class="form-label">{{__('business_location.owner_full_name')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="owner_full_name"
                                aria-describedby="nameHelp" placeholder="{{__('business_location.enter')}} {{__('business_location.owner_full_name')}} {{__('business_location.dots')}}" name="owner_full_name"
                                value="{{ old('owner_full_name') ?? $business_location->owner->full_name }}" required>
                            {{-- <div class="invalid-feedback">
                                Please choose a student_name.
                            </div> --}}
                        </div>
                    </div>

                    {{-- Email --}}
                    <div class="col-md-4 mt-4">
                        <label for="owner_email" class="form-label">{{__('business_location.owner_email')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-envelope"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="owner_email"
                                aria-describedby="email" placeholder="{{__('business_location.enter')}} {{__('business_location.owner_email')}} {{__('business_location.dots')}}" name="owner_email"
                                value="{{ old('owner_email') ?? $business_location->owner->email }}" required>
                            {{-- <div class="invalid-feedback">
                                Please choose a student_name.
                            </div> --}}
                        </div>
                    </div>

                    {{-- Is Active --}}
                    <div class="col-md-4 mt-4">
                        <label for="owner_is_active" class="form-label">{{__('business_location.status')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-check"></i>
                            </span>
                            <select class="form-control text-start custom-select" id="owner_is_active"
                                name="owner_is_active" required>
                                <option value="Active"
                                    @if (old('owner_is_active') == null) {{ $business_location->owner->is_active == 'Active' ? 'selected' : '' }} @else {{ old('owner_is_active') == 'Active' ? 'selected' : '' }} @endif>
                                    {{__('business_location.active')}}</option>
                                <option value="InActive"
                                    @if (old('owner_is_active') == null) {{ $business_location->owner->is_active == 'InActive' ? 'selected' : '' }} @else {{ old('owner_is_active') == 'InActive' ? 'selected' : '' }} @endif>
                                    {{__('business_location.in_active')}}</option>
                            </select>

                        </div>
                    </div>

                    {{-- Mobile Number --}}
                    <div class="col-md-4 mt-4">
                        <label for="owner_phone" class="form-label">{{__('business_location.owner_phone')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-mobile-screen-button"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="owner_phone"
                                placeholder="{{__('business_location.enter')}} {{__('business_location.owner_phone')}} {{__('business_location.dots')}}" name="owner_phone"
                                value="{{ old('owner_phone') ?? $business_location->owner->phone }}" required>
                            {{-- <div class="invalid-feedback">
                                Please choose a student_name.
                            </div> --}}
                        </div>
                    </div>

                    {{-- Alternative Mobile Number --}}
                    <div class="col-md-4 mt-4">
                        <label for="owner_alternative_phone" class="form-label">{{__('business_location.owner_alternative_mobile_number')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-mobile-screen-button"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="owner_alternative_phone"
                                placeholder="{{__('business_location.enter')}} {{__('business_location.owner_alternative_mobile_number')}} {{__('business_location.dots')}}" name="owner_alternative_phone"
                                value="{{ old('owner_alternative_phone') ?? $business_location->owner->alternative_phone }}"
                                required>
                            {{-- <div class="invalid-feedback">
                                Please choose a student_name.
                            </div> --}}
                        </div>
                    </div>

                    {{-- Contact Number --}}
                    <div class="col-md-4 mt-4">
                        <label for="owner_contact_number" class="form-label">{{__('business_location.owner_contact_number')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-mobile-screen-button"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="owner_contact_number"
                                placeholder="{{__('business_location.enter')}} {{__('business_location.owner_contact_number')}} {{__('business_location.dots')}}" name="owner_contact_number"
                                value="{{ old('owner_contact_number') ?? $business_location->owner->contact_number }}"
                                required>
                            {{-- <div class="invalid-feedback">
                                Please choose a student_name.
                            </div> --}}
                        </div>
                    </div>

                    {{-- Nationality --}}
                    <div class="col-md-4 mt-4">
                        <label for="owner_nationality" class="form-label">{{__('business_location.owner_nationality')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-building"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="owner_nationality"
                                placeholder="{{__('business_location.enter')}} {{__('business_location.owner_nationality')}} {{__('business_location.dots')}}" name="owner_nationality"
                                value="{{ old('owner_nationality') ?? $business_location->owner->nationality }}" required>
                            {{-- <div class="invalid-feedback">
                                Please choose a student_name.
                            </div> --}}
                        </div>
                    </div>

                    {{-- National Number --}}
                    <div class="col-md-4 mt-4">
                        <label for="owner_national_number" class="form-label">{{__('business_location.owner_national_number')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-id-card"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="owner_national_number"
                                placeholder="{{__('business_location.enter')}} {{__('business_location.owner_national_number')}} {{__('business_location.dots')}}" name="owner_national_number"
                                value="{{ old('owner_national_number') ?? $business_location->owner->national_number }}"
                                required>
                            {{-- <div class="invalid-feedback">
                                Please choose a student_name.
                            </div> --}}
                        </div>
                    </div>


                    {{-- Date of Birth . . . --}}
                    <div class="col-md-4 mt-4">
                        <label for="owner_dob" class="form-label">{{__('business_location.owner_dob')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="date" class="form-control text-start" id="owner_dob"
                                placeholder="{{__('business_location.enter')}} {{__('business_location.owner_dob')}} {{__('business_location.dots')}}" name="owner_dob"
                                value="{{ old('owner_dob') ?? $business_location->owner->dob }}" required>

                        </div>
                    </div>

                    {{-- Gender --}}
                    <div class="col-md-4 mt-4">
                        <label for="owner_gender" class="form-label">{{__('business_location.owner_gender')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-check"></i>
                            </span>
                            <select class="form-control text-start custom-select" id="owner_gender" name="owner_gender" required>
                                <option value="" disabled>{{__('business_location.choose_option')}}</option>
                                <option value="Male"
                                    @if (old('owner_gender') == null) {{ $business_location->owner->gender == 'Male' ? 'selected' : '' }} @else {{ old('owner_gender') == 'Male' ? 'selected' : '' }} @endif>
                                    {{__('business_location.male')}}</option>
                                <option value="Female"
                                    @if (old('owner_gender') == null) {{ $business_location->owner->gender == 'Female' ? 'selected' : '' }} @else {{ old('owner_gender') == 'Female' ? 'selected' : '' }} @endif>
                                    {{__('business_location.female')}}</option>
                            </select>

                        </div>
                    </div>

                    {{-- Blood Group --}}
                    <div class="col-md-4 mt-4">
                        <label for="owner_blood_group" class="form-label">{{__('business_location.owner_blood_group')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-check"></i>
                            </span>
                            <select class="form-control text-start custom-select" id="owner_blood_group" name="owner_blood_group">
                                <option value="">{{__('business_location.choose_option')}}</option>
                                <option value="A+"
                                    @if (old('owner_blood_group') == null) {{ $business_location->owner->blood_group == 'A+' ? 'selected' : '' }} @else {{ old('owner_blood_group') == 'A+' ? 'selected' : '' }} @endif>
                                    A+</option>
                                <option value="A-"
                                    @if (old('owner_blood_group') == null) {{ $business_location->owner->blood_group == 'A-' ? 'selected' : '' }} @else {{ old('owner_blood_group') == 'A-' ? 'selected' : '' }} @endif>
                                    A-</option>
                                <option value="B+"
                                    @if (old('owner_blood_group') == null) {{ $business_location->owner->blood_group == 'B+' ? 'selected' : '' }} @else {{ old('owner_blood_group') == 'B+' ? 'selected' : '' }} @endif>
                                    B+</option>
                                <option value="B-"
                                    @if (old('owner_blood_group') == null) {{ $business_location->owner->blood_group == 'B-' ? 'selected' : '' }} @else {{ old('owner_blood_group') == 'B-' ? 'selected' : '' }} @endif>
                                    B-</option>
                                <option value="O+"
                                    @if (old('owner_blood_group') == null) {{ $business_location->owner->blood_group == 'O+' ? 'selected' : '' }} @else {{ old('owner_blood_group') == 'A+' ? 'selected' : '' }} @endif>
                                    O+</option>
                                <option value="O-"
                                    @if (old('owner_blood_group') == null) {{ $business_location->owner->blood_group == 'O-' ? 'selected' : '' }} @else {{ old('owner_blood_group') == 'A-' ? 'selected' : '' }} @endif>
                                    O-</option>
                                <option value="AB+"
                                    @if (old('owner_blood_group') == null) {{ $business_location->owner->blood_group == 'AB+' ? 'selected' : '' }} @else {{ old('owner_blood_group') == 'A+' ? 'selected' : '' }} @endif>
                                    AB+</option>
                                <option value="AB-"
                                    @if (old('owner_blood_group') == null) {{ $business_location->owner->blood_group == 'AB-' ? 'selected' : '' }} @else {{ old('owner_blood_group') == 'A-' ? 'selected' : '' }} @endif>
                                    AB-</option>
                            </select>

                        </div>
                    </div>

                    {{-- Mother Language --}}
                    <div class="col-md-4 mt-4">
                        <label for="owner_language" class="form-label">{{__('business_location.owner_mother_language')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="owner_language"
                                placeholder="{{__('business_location.enter')}} {{__('business_location.owner_mother_language')}} {{__('business_location.dots')}}" name="owner_language"
                                value="{{ old('owner_language') ?? $business_location->owner->full_name }}" required>
                            {{-- <div class="invalid-feedback">
                                Please choose a student_name.
                            </div> --}}
                        </div>
                    </div>

                    {{-- Marital Status --}}
                    <div class="col-md-4 mt-4">
                        <label for="owner_marital_status" class="form-label">{{__('business_location.owner_marital_status')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-check"></i>
                            </span>
                            <select class="form-control text-start custom-select" id="owner_marital_status"
                                name="owner_marital_status" required>
                                <option value="">{{__('business_location.choose_option')}}</option>
                                <option value="Single"
                                    @if (old('owner_marital_status') == null) {{ $business_location->owner->marital_status == 'Single' ? 'selected' : '' }} @else {{ old('owner_marital_status') == 'Single' ? 'selected' : '' }} @endif>
                                    {{__('business_location.single')}}</option>
                                <option value="Married"
                                    @if (old('owner_marital_status') == null) {{ $business_location->owner->marital_status == 'Married' ? 'selected' : '' }} @else {{ old('owner_marital_status') == 'Married' ? 'selected' : '' }} @endif>
                                    {{__('business_location.married')}}</option>
                                <option value="Divorced"
                                    @if (old('owner_marital_status') == null) {{ $business_location->owner->marital_status == 'Divorced' ? 'selected' : '' }} @else {{ old('owner_marital_status') == 'Divorced' ? 'selected' : '' }} @endif>
                                    {{__('business_location.divorced')}}</option>
                            </select>

                        </div>
                    </div>


                    {{-- Upload Logo --}}
                <div class="col-md-2 mt-4">
                    @php
                            $image = $business_location->owner->image;
                        @endphp
                    @if ($business_location->owner->image !== null)
                        <div class="form-group">
                            <img class="image-fload" width="100%" height="100%"
                                src='{{ asset("uploads/$image") }}' alt="{{ $business_location->owner->full_name }}">
                        </div>
                    @else
                        <br>
                        <p class="filelabel">{{__('business_location.no_user_image')}}</p>
                    @endif
                </div>
                <div class="col-md-2 mt-4">
                    <label for="image_input" class="form-label filelabel">
                        <i class="fa fa-paperclip">
                        </i>
                        <span class="title">
                            {{__('business_location.upload_owner_image')}}
                        </span>
                        <input class="FileUpload1 form-control" id="image_input" name="owner_image" type="file" />
                    </label>
                </div>


                </div>

                <div class="dotted-seprator mt-4 "></div>

                <div class="row">

                    {{-- User Name --}}
                    <div class="col-md-4 mt-4">
                        <label for="owner_user_name" class="form-label">{{__('business_location.owner_user_name')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="owner_user_name"
                                aria-describedby="owner_user_name" placeholder="{{__('business_location.enter')}} {{__('business_location.owner_user_name')}} {{__('business_location.dots')}}"
                                name="owner_user_name"
                                value="{{ old('owner_user_name') ?? $business_location->owner->user_name }}" required>
                            {{-- <div class="invalid-feedback">
                                Please choose a student_name.
                            </div> --}}
                        </div>
                    </div>

                    {{-- Change Password --}}
                    <div class="col-md-4 mt-4">
                        <label for="user_name" class="form-label">{{__('business_location.changing_user_password')}}</label>
                        <div class="input-group has-validation">
                            <a class="btn btn-outline-primary btn-sm me-2" data-bs-toggle="modal"
                                data-bs-target="#exampleModal">
                                <i class="fa-solid fa-plus me-2"></i>{{__('business_location.change_password')}}
                            </a>
                        </div>
                    </div>

                </div>

            </div>



            {{-- Owner Address Info --}}
            <div class="tab-pane fade show px-3" id="pills-owner-address-primary" role="tabpanel"
                aria-labelledby="pills-owner-address-primary-tab">

                <div class="row">

                    {{-- Owner Address --}}
                    <div class="col-md-4 mt-4">
                        <label for="owner_address" class="form-label">{{__('business_location.owner_address')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-location-dot"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="owner_address"
                                aria-describedby="owner_address" placeholder="{{__('business_location.enter')}} {{__('business_location.owner_address')}} {{__('business_location.dots')}}"
                                name="owner_address"
                                value="{{ old('owner_address') ?? $business_location->owner->address }}">
                            {{-- <div class="invalid-feedback">
                                Please choose a student_name.
                            </div> --}}
                        </div>
                    </div>

                    {{-- Owner City --}}
                    <div class="col-md-4 mt-4">
                        <label for="owner_city" class="form-label">{{__('business_location.owner_city')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-map-location"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="owner_city"
                                aria-describedby="owner_city" placeholder="{{__('business_location.enter')}} {{__('business_location.owner_city')}} {{__('business_location.dots')}}" name="owner_city"
                                value="{{ old('owner_city') ?? $business_location->owner->city }}">
                            {{-- <div class="invalid-feedback">
                                Please choose a student_name.
                            </div> --}}
                        </div>
                    </div>

                    {{-- Owner State --}}
                    <div class="col-md-4 mt-4">
                        <label for="owner_state" class="form-label">{{__('business_location.owner_state')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-map"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="owner_state"
                                aria-describedby="owner_state" placeholder="{{__('business_location.enter')}} {{__('business_location.owner_state')}} {{__('business_location.dots')}}" name="owner_state"
                                value="{{ old('owner_state') ?? $business_location->owner->state }}">
                            {{-- <div class="invalid-feedback">
                                Please choose a student_name.
                            </div> --}}
                        </div>
                    </div>

                    {{-- Owner Country --}}
                    <div class="col-md-4 mt-4">
                        <label for="owner_country" class="form-label">{{__('business_location.owner_country')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-map-pin"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="owner_country"
                                aria-describedby="owner_country" placeholder="{{__('business_location.enter')}} {{__('business_location.owner_country')}} {{__('business_location.dots')}}"
                                name="owner_country"
                                value="{{ old('owner_country') ?? $business_location->owner->country }}">
                            {{-- <div class="invalid-feedback">
                                Please choose a student_name.
                            </div> --}}
                        </div>
                    </div>

                    {{-- Owner Landmark --}}
                    <div class="col-md-4 mt-4">
                        <label for="owner_landmark" class="form-label">{{__('business_location.owner_landmark')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-landmark"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="owner_landmark"
                                aria-describedby="owner_landmark" placeholder="{{__('business_location.enter')}} {{__('business_location.owner_landmark')}} {{__('business_location.dots')}}"
                                name="owner_landmark"
                                value="{{ old('owner_landmark') ?? $business_location->owner->landmark }}">
                            {{-- <div class="invalid-feedback">
                                Please choose a student_name.
                            </div> --}}
                        </div>
                    </div>


                </div>
            </div>



            {{-- Owner Socail Links --}}
            <div class="tab-pane fade show px-3" id="pills-owner-social-links" role="tabpanel"
                aria-labelledby="pills-owner-social-links-tab">

                <div class="row">

                    {{-- FaceBook Link --}}
                    <div class="col-md-4 mt-4">
                        <label for="owner_fb_link" class="form-label">{{__('business_location.owner_fb_link')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-brands fa-facebook-f"></i>
                            </span>
                            <input type="url" class="form-control text-start" id="owner_fb_link"
                                placeholder="{{__('business_location.enter')}} {{__('business_location.owner_fb_link')}} {{__('business_location.dots')}}" name="owner_fb_link"
                                value="{{ old('owner_fb_link') ?? $business_location->owner->fb_link }}">
                            {{-- <div class="invalid-feedback">
                                Please choose a student_name.
                            </div> --}}
                        </div>
                    </div>

                    {{-- Twitter Link --}}
                    <div class="col-md-4 mt-4">
                        <label for="owner_twitter_link" class="form-label">{{__('business_location.owner_twitter_link')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-brands fa-twitter"></i>
                            </span>
                            <input type="url" class="form-control text-start" id="owner_twitter_link"
                                placeholder="{{__('business_location.enter')}} {{__('business_location.owner_twitter_link')}} {{__('business_location.dots')}}" name="owner_twitter_link"
                                value="{{ old('owner_twitter_link') ?? $business_location->owner->twitter_link }}">
                            {{-- <div class="invalid-feedback">
                                Please choose a student_name.
                            </div> --}}
                        </div>
                    </div>

                    {{-- Social Media Link --}}
                    <div class="col-md-4 mt-4">
                        <label for="owner_social_media_1" class="form-label">{{__('business_location.owner_social_links')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-hashtag"></i>
                            </span>
                            <input type="url" class="form-control text-start" id="owner_social_media_1"
                                placeholder="{{__('business_location.enter')}} {{__('business_location.owner_social_links')}} {{__('business_location.dots')}}" name="owner_social_media_1"
                                value="{{ old('owner_social_media_1') ?? $business_location->owner->social_media_1 }}">
                            {{-- <div class="invalid-feedback">
                                Please choose a student_name.
                            </div> --}}
                        </div>
                    </div>

                    {{-- Social Media Link 2 --}}
                    <div class="col-md-4 mt-4">
                        <label for="owner_social_media_2" class="form-label">{{__('business_location.owner_social_links')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-hashtag"></i>
                            </span>
                            <input type="url" class="form-control text-start" id="owner_social_media_2"
                                placeholder="{{__('business_location.enter')}} {{__('business_location.owner_social_links')}} {{__('business_location.dots')}}" name="owner_social_media_2"
                                value="{{ old('owner_social_media_2') ?? $business_location->owner->social_media_2 }}">
                            {{-- <div class="invalid-feedback">
                                Please choose a student_name.
                            </div> --}}
                        </div>
                    </div>


                </div>
            </div>


        </div>



        <div class="col-12">
            <button class="btn btn-outline-primary" type="submit">{{__('business_location.save')}}</button>
        </div>

    </form>
@endsection




<!-- Change password Modal -->
<form method="POST" action="{{ route('updateUserPassword', $business_location->owner->id) }}">
    <div class="modal fade" id="exampleTableModal" tabindex="-1" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleTableModalLabel">{{__('business_location.changing_user_password')}}</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    enctype="multipart/form-data">
                    @csrf
                    <div class="form-group">
                        <label for="owner_password">{{__('business_location.new_password')}}</label>
                        <input type="owner_password" class="form-control" id="owner_password"
                            aria-describedby="passwordHelp" placeholder="owner_Password" name="owner_password">
                        <small id="passwordHelp" class="form-text text-muted">{{__('business_location.new_password_note')}}</small>
                    </div>

                    <div class="form-group">
                        <label for="confirm_password">{{__('business_location.confirm_new_password')}}</label>
                        <input type="password" class="form-control" id="confirm_password"
                            aria-describedby="confirmPasswordHelp" placeholder="Password">
                        <small id="confirmPasswordHelp" class="form-text text-muted">{{__('business_location.confirm_new_password_note')}}</small>
                    </div>




                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">{{__('business_location.close')}}</button>
                    <button type="submit" class="btn btn-outline-primary">{{__('business_location.submit')}}</button>
                </div>
            </div>
        </div>
    </div>
</form>
