@extends('layouts.app_layout')

@section('title')
Dashboard
@endsection

@section('content')


@section('content')
@include('inc.errors')
@if (session('message'))
<h6 class="alert alert-success">
    {{ session('message') }}
</h6>
@endif

<div class="px-3">

    <div class=" bg-white rounded shadow-sm p-3 my-4">

        <div class="row g-4 my-5">
            @if (Auth::user()->role == "super_admin")
                <div class="col-md-3 text-center ">
                    <div class="  p-3 dashBoardicons  rounded">
                        <div class="d-flex justify-content-center align-items-start"> 
                            <i class="fa-solid fa-location-dot  mx-2 bg-dark text-white bg-gradient rounded-circle"></i>
                            <h4>{{$total_business_locations}}</h4>
                        </div>
                        <p>{{__('dashboard.business_location')}}</p>

                    </div>
                    <!-- <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1440 320">
                        <path fill="#22262a" fill-opacity="1" d="M0,256L40,240C80,224,160,192,240,165.3C320,139,400,117,480,117.3C560,117,640,139,720,170.7C800,203,880,245,960,266.7C1040,288,1120,288,1200,282.7C1280,277,1360,267,1400,261.3L1440,256L1440,0L1400,0C1360,0,1280,0,1200,0C1120,0,1040,0,960,0C880,0,800,0,720,0C640,0,560,0,480,0C400,0,320,0,240,0C160,0,80,0,40,0L0,0Z"></path>
                    </svg> -->

                </div>
                <div class="col-md-3 text-center ">
                    <div class="  p-3 dashBoardicons  rounded">
                        <div class="d-flex justify-content-center align-items-start"> 
                            <i class="fa-solid fa-location-dot  mx-2 bg-warning text-white bg-gradient  rounded-circle"></i>
                            <h4>{{$total_active_business_locations}}</h4>
                        </div>
                        <p>{{__('dashboard.active_business_location')}}</p>

                    </div>
                    <!-- <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1440 320">
                        <path fill="#ffc107" fill-opacity="1" d="M0,256L40,240C80,224,160,192,240,165.3C320,139,400,117,480,117.3C560,117,640,139,720,170.7C800,203,880,245,960,266.7C1040,288,1120,288,1200,282.7C1280,277,1360,267,1400,261.3L1440,256L1440,0L1400,0C1360,0,1280,0,1200,0C1120,0,1040,0,960,0C880,0,800,0,720,0C640,0,560,0,480,0C400,0,320,0,240,0C160,0,80,0,40,0L0,0Z"></path>
                    </svg> -->

                </div>
                <div class="col-md-3 text-center ">
                    <div class="  p-3 dashBoardicons  rounded">
                        <div class="d-flex justify-content-center align-items-start"> 
                            <i class="fa-solid fa-location-dot  mx-2 bg-danger text-white bg-gradient  rounded-circle"></i>
                            <h4>{{$total_inactive_business_locations}}</h4>
                        </div>
                        <p>{{__('dashboard.inactive_business_location')}}</p>

                    </div>
                    <!-- <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1440 320">
                        <path fill="#ea7066" fill-opacity="1" d="M0,256L40,240C80,224,160,192,240,165.3C320,139,400,117,480,117.3C560,117,640,139,720,170.7C800,203,880,245,960,266.7C1040,288,1120,288,1200,282.7C1280,277,1360,267,1400,261.3L1440,256L1440,0L1400,0C1360,0,1280,0,1200,0C1120,0,1040,0,960,0C880,0,800,0,720,0C640,0,560,0,480,0C400,0,320,0,240,0C160,0,80,0,40,0L0,0Z"></path>
                    </svg> -->

                </div>
                <div class="col-md-3 text-center ">
                    <div class="  p-3 dashBoardicons  rounded">
                        <div class="d-flex justify-content-center align-items-start"> 
                            <i class="fa-solid fa-location-dot  mx-2 bg-info text-white bg-gradient  rounded-circle"></i>
                            <h4>{{$assignments}}</h4>
                        </div>
                        <p>{{__('dashboard.assignments')}}</p>

                    </div>
                    <!-- <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1440 320">
                        <path fill="#0dcaf0" fill-opacity="1" d="M0,256L40,240C80,224,160,192,240,165.3C320,139,400,117,480,117.3C560,117,640,139,720,170.7C800,203,880,245,960,266.7C1040,288,1120,288,1200,282.7C1280,277,1360,267,1400,261.3L1440,256L1440,0L1400,0C1360,0,1280,0,1200,0C1120,0,1040,0,960,0C880,0,800,0,720,0C640,0,560,0,480,0C400,0,320,0,240,0C160,0,80,0,40,0L0,0Z"></path>
                    </svg> -->

                </div>      
            @endif

            <div class="col-md-3 text-center ">
                <div class="  p-3 dashBoardicons  rounded">
                    <div class="d-flex justify-content-center align-items-start"> 
                        <i class="fa-solid fa-location-dot  mx-2 bg-primary text-white bg-gradient  rounded-circle "></i>
                        <h4>{{$submissions}}</h4>
                    </div>
                    <p>{{__('dashboard.submitions')}}</p>

                </div>
                <!-- <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1440 320">
                    <path fill="#0d6efd" fill-opacity="1" d="M0,256L40,240C80,224,160,192,240,165.3C320,139,400,117,480,117.3C560,117,640,139,720,170.7C800,203,880,245,960,266.7C1040,288,1120,288,1200,282.7C1280,277,1360,267,1400,261.3L1440,256L1440,0L1400,0C1360,0,1280,0,1200,0C1120,0,1040,0,960,0C880,0,800,0,720,0C640,0,560,0,480,0C400,0,320,0,240,0C160,0,80,0,40,0L0,0Z"></path>
                </svg> -->

            </div>
            <div class="col-md-3 text-center ">
                <div class="  p-3 dashBoardicons  rounded">
                    <div class="d-flex justify-content-center align-items-start"> 
                        <i class="fa-solid fa-graduation-cap  mx-2 bg-success text-white bg-gradient  rounded-circle"></i>
                        <h4>{{$students}}</h4>
                    </div>
                    <p>{{__('dashboard.students')}}</p>

                </div>
                <!-- <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1440 320">
                    <path fill="#198754" fill-opacity="1" d="M0,256L40,240C80,224,160,192,240,165.3C320,139,400,117,480,117.3C560,117,640,139,720,170.7C800,203,880,245,960,266.7C1040,288,1120,288,1200,282.7C1280,277,1360,267,1400,261.3L1440,256L1440,0L1400,0C1360,0,1280,0,1200,0C1120,0,1040,0,960,0C880,0,800,0,720,0C640,0,560,0,480,0C400,0,320,0,240,0C160,0,80,0,40,0L0,0Z"></path>
                </svg> -->

            </div>
            <div class="col-md-3 text-center ">
                <div class="  p-3 dashBoardicons  rounded">
                    <div class="d-flex justify-content-center align-items-start"> 
                        <i class="fa-solid fa-location-dot  mx-2 bg-secondary text-white bg-gradient  rounded-circle "></i>
                        <h4>{{$total_trainers}}</h4>
                    </div>
                    <p>{{__('dashboard.trainers')}}</p>

                </div>
                <!-- <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1440 320">
                    <path fill="#6c757d" fill-opacity="1" d="M0,256L40,240C80,224,160,192,240,165.3C320,139,400,117,480,117.3C560,117,640,139,720,170.7C800,203,880,245,960,266.7C1040,288,1120,288,1200,282.7C1280,277,1360,267,1400,261.3L1440,256L1440,0L1400,0C1360,0,1280,0,1200,0C1120,0,1040,0,960,0C880,0,800,0,720,0C640,0,560,0,480,0C400,0,320,0,240,0C160,0,80,0,40,0L0,0Z"></path>
                </svg> -->

            </div>
            <div class="col-md-3 text-center ">
                <div class="  p-3 dashBoardicons  rounded">
                    <div class="d-flex justify-content-center align-items-start"> 
                        <i class="fa-solid fa-location-dot  mx-2 bg-dark text-white bg-gradient  rounded-circle"></i>
                        <h4>{{$total_admins}}</h4>
                    </div>
                    <p>{{__('dashboard.admins')}}</p>

                </div>
                <!-- <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1440 320">
                    <path fill="#22262a" fill-opacity="1" d="M0,256L40,240C80,224,160,192,240,165.3C320,139,400,117,480,117.3C560,117,640,139,720,170.7C800,203,880,245,960,266.7C1040,288,1120,288,1200,282.7C1280,277,1360,267,1400,261.3L1440,256L1440,0L1400,0C1360,0,1280,0,1200,0C1120,0,1040,0,960,0C880,0,800,0,720,0C640,0,560,0,480,0C400,0,320,0,240,0C160,0,80,0,40,0L0,0Z"></path>
                </svg> -->

            </div>
        </div>

        <table id="exampleTable" class="table  table- roundeded nowrap my-5 table-striped" style="width:100%">
            <thead>
                <th>{{__('dashboard.business_location')}}</th>
                <th>{{__('dashboard.phone')}}</th>
                <th>{{__('dashboard.email')}}</th>
                <th>{{__('dashboard.start_date')}}</th>
                <th>{{__('dashboard.end_date')}}</th>
                <th>{{__('dashboard.status')}}</th>
            </thead>
            <tbody>
               @foreach ($business_locations as $business_location)
                    <tr>
                        <td>{{ $business_location->business_name }}</td>
                        <td>{{ $business_location->phone }}</td>
                        <td>{{ $business_location->email }}</td>
                        <td>{{ $business_location->license_start_date }}</td>
                        <td>{{ $business_location->license_end_date }}</td>
                        <td>{{ $business_location->is_active }}</td>
                    </tr>
               @endforeach
            </tbody>
        </table>
    </div>
</div>


@endsection