@extends('layouts.view')

@section('title')
    View Father
@endsection

@section('view-title')
{{__('fathers.view_father')}} - {{ $student_father_profile->father_name }}
@endsection

@section('view-navigation')
    <li><a class="text-decoration-none" href="{{ route('allFathers') }}">{{__('fathers.list_fathers')}}</a></li>
    <li>{{__('fathers.view_father')}}</li>
@endsection

@section('view-panel')
    <div class="user-avtar">
        @if ($student_father_profile->father_image !== null)
            <img class="img-thumbnail" style="width: 165px; height: 165px; border-radius: 100px;"
                src='{{ asset("uploads/$student_father_profile->father_image") }}'
                alt="{{ $student_father_profile->father_name }}">
        @else
            <span>{{ ucfirst($student_father_profile->father_name[0]) }}</span>
        @endif
    </div>
    <div class="user-details text-center pt-3">
        <h3>{{ $student_father_profile->father_name }}</h3>
        <div class="nav flex-column nav-pills me-3" id="v-pills-tab" role="tablist" aria-orientation="vertical">

            <button class="nav-link active" id="v-pills-father-info-tab" data-bs-toggle="pill"
                data-bs-target="#v-pills-father-info" type="button" role="tab" aria-controls="v-pills-father-info"
                aria-selected="true">
                <i class="fa-solid fa-circle-exclamation"></i><span>{{__('fathers.father_info')}}</span>
            </button>
            <button class="nav-link" id="v-pills-father-address-tab" data-bs-toggle="pill"
                data-bs-target="#v-pills-father-address" type="button" role="tab" aria-controls="v-pills-father-address"
                aria-selected="false"><i class="fa-solid fa-address-book"></i><span>{{__('fathers.address_info')}}</span></button>
            <button class="nav-link" id="v-pills-father-social-media-tab" data-bs-toggle="pill"
                data-bs-target="#v-pills-father-social-media" type="button" role="tab"
                aria-controls="v-pills-father-social-media" aria-selected="false"><i
                    class="fa-solid fa-link"></i><span>{{__('fathers.social_links')}}</span></button>
            <button class="nav-link" id="v-pills-father-children-tab" data-bs-toggle="pill"
                data-bs-target="#v-pills-father-children" type="button" role="tab"
                aria-controls="v-pills-father-children" aria-selected="false"><i
                    class="fa-solid fa-link"></i><span>{{__('fathers.father_childrens')}}</span></button>
            <a class="nav-link" type="button" role="tab" aria-selected="false"
                href="{{ route('editFather', $student_father_profile->id) }}"><i
                    class="fa-solid fa-user-pen"></i><span>{{__('fathers.edit_father')}}</span></a>
            {{-- <button class="nav-link" id="v-pills-user-documents-tab" data-bs-toggle="pill" data-bs-target="#v-pills-user-documents" type="button" role="tab" aria-controls="v-pills-user-documents" aria-selected="false"><i class="fa-solid fa-envelope"></i><span>Send Email</span></button> --}}
            <button class="nav-link" id="v-pills-father-sendwhatsapp-tab" data-bs-toggle="pill"
                data-bs-target="#v-pills-father-sendwhatsapp" type="button" role="tab"
                aria-controls="v-pills-father-sendwhatsapp" aria-selected="false"><i class="fa-solid fa-envelope"></i>
                <span>{{__('fathers.send_whatsApp')}}</span></button>
        </div>
    </div>
@endsection


@section('view-tabs')
    {{-- Father Info --}}
    <div class="tab-pane fade show active" id="v-pills-father-info" role="tabpanel"
        aria-labelledby="v-pills-father-info-tab">
        <div class="panel panel-default">
            <div class="panel-head">
                <div class="panel-title border-bottom mb-3 p-3 font-weight-lighter h5">{{__('fathers.father_info')}}</div>
            </div>
            <div class="panel-body p-3">
                <table class="table table-striped user-table table-borderless">
                    <tbody>
                        <tr>
                            <td>{{__('fathers.full_name')}}</td>
                            <td>{{ $student_father_profile->father_name }}</td>
                        </tr>
                        <tr>
                            <td>{{__('fathers.email_address')}}</td>
                            <td>{{ $student_father_profile->father_email }}</td>
                        </tr>
                        <tr>
                            <td>{{__('fathers.mobile_number')}}</td>
                            <td>{{ $student_father_profile->father_phone }}</td>
                        </tr>
                        <tr>
                            <td>{{__('fathers.alternative_mobile_number')}}</td>
                            <td>{{ $student_father_profile->father_alternative_phone }}</td>
                        </tr>
                        <tr>
                            <td>{{__('fathers.dob')}}</td>
                            <td>{{ $student_father_profile->father_dob }}</td>
                        </tr>
                        <tr>
                            <td>{{__('fathers.nationality')}}</td>
                            <td>{{ $student_father_profile->father_nationality }}</td>
                        </tr>
                        <tr>
                            <td>{{__('fathers.national_number')}}</td>
                            <td>{{ $student_father_profile->father_national_number }}</td>
                        </tr>
                        <tr>
                            <td>{{__('fathers.marital_status')}}</td>
                            <td>{{ $student_father_profile->father_marital_status }}</td>
                        </tr>
                        <tr>
                            <td>{{__('fathers.created_by')}}</td>
                            <td><a class="text-decoration-none"
                                    href="{{ route('viewUser', $student_father_profile->father_created_by) }}">{{ $student_father_profile->createdPerson->full_name }}</a>
                            </td>
                        </tr>
                        <tr>
                            <td>{{__('fathers.created_date')}}</td>
                            <td>{{ $student_father_profile->created_at }}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    {{-- Father Address --}}
    <div class="tab-pane fade" id="v-pills-father-address" role="tabpanel"
        aria-labelledby="v-pills-father-address-tab">
        <div class="panel panel-default">
            <div class="panel-head">
                <div class="panel-title border-bottom mb-3 p-3 font-weight-lighter h5">{{__('fathers.father_address')}}</div>
            </div>
            <div class="panel-body p-3">
                <table class="table table-striped user-table table-borderless">
                    <tbody>
                        <tr>
                            <td>{{__('fathers.address')}}</td>
                            <td>{{ $student_father_profile->father_address }}</td>
                        </tr>
                        <tr>
                            <td>{{__('fathers.city')}}</td>
                            <td>{{ $student_father_profile->father_city }}</td>
                        </tr>
                        <tr>
                            <td>{{__('fathers.state')}}</td>
                            <td>{{ $student_father_profile->father_state }}</td>
                        </tr>
                        <tr>
                            <td>{{__('fathers.country')}}</td>
                            <td>{{ $student_father_profile->father_country }}</td>
                        </tr>
                        <tr>
                            <td>{{__('fathers.landmark')}}</td>
                            <td>{{ $student_father_profile->father_landmark }}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    {{-- Father Social Media --}}
    <div class="tab-pane fade" id="v-pills-father-social-media" role="tabpanel"
        aria-labelledby="v-pills-father-social-media-tab">
        <div class="panel panel-default">
            <div class="panel-head">
                <div class="panel-title border-bottom mb-3 p-3 font-weight-lighter h5">{{__('fathers.father_social_media')}}</div>
            </div>
            <div class="panel-body p-3">
                <table class="table table-striped user-table table-borderless">
                    <tbody>
                        <tr>
                            <td>{{__('fathers.fb_Link')}}</td>
                            <td><a class="text-decoration-none" href="{{ $student_father_profile->father_fb_link }}">{{ $student_father_profile->father_fb_link }}</a></td>
                        </tr>
                        <tr>
                            <td>{{__('fathers.twitter_link')}}</td>
                            <td><a class="text-decoration-none" href="{{ $student_father_profile->father_twitter_link }}">{{ $student_father_profile->father_twitter_link }}</a></td>
                        </tr>
                        <tr>
                            <td>{{__('fathers.social_media_link')}}</td>
                            <td><a class="text-decoration-none" href="{{ $student_father_profile->father_social_media_1 }}">{{ $student_father_profile->father_social_media_1 }}</a></td>
                        </tr>
                        <tr>
                            <td>{{__('fathers.social_media_link')}}</td>
                            <td><a class="text-decoration-none" href="{{ $student_father_profile->father_social_media_2 }}">{{ $student_father_profile->father_social_media_2 }}</a></td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    {{-- Send Email --}}

    {{-- Send Whatsapp to Father --}}
    <div class="tab-pane fade" id="v-pills-father-sendwhatsapp" role="tabpanel"
        aria-labelledby="v-pills-father-sendwhatsapp-tab">
        <div class="panel panel-default">
            <div class="panel-head">
                <div class="panel-title border-bottom mb-3 p-3 font-weight-lighter h5">{{__('fathers.send_whatsApp_father')}}
                </div>
            </div>
            <p></p>
            <form>
                <div class="panel-body p-3">
                    <div class="form-group">
                        <label>{{__('fathers.to')}}</label>
                        <input type="text" value="asdfasd fsdfas" class="form-control" readonly="">
                    </div>
                    <div class="form-group">
                        <label>{{__('fathers.message')}}</label>
                        <textarea class="form-control" placeholder="{{__('fathers.enter')}} {{__('fathers.message')}} {{__('fathers.dots')}}" id="whatsapp_message" rows="10"></textarea>
                    </div>
                </div>
                <div class="panel-footer text-center">
                    <a class="btn btn-outline-primary" onclick="send_whatsapp()">{{__('fathers.send')}}</a>
                    <script>
                        function send_whatsapp() {
                            let mobile = "{{ $student_father_profile->father_phone }}";
                            let message = document.getElementById("whatsapp_message").value;
                            window.open('https://api.whatsapp.com/send?phone=' + mobile + '&text=' + message);
                            // window.location.href = "https://v6.devclinic.tps-egy.com/admin/index.php?route=patient/view&id=4", true;
                        }
                    </script>
                </div>
            </form>
        </div>
    </div>

    {{-- Father Other Info --}}
    <div class="tab-pane fade" id="v-pills-father-social-media" role="tabpanel"
        aria-labelledby="v-pills-father-social-media-tab">
        <div class="panel panel-default">
            <div class="panel-head">
                <div class="panel-title border-bottom mb-3 p-3 font-weight-lighter h5">{{__('fathers.father_other_info')}}</div>
            </div>
            <div class="panel-body p-3">
                <table class="table table-striped user-table table-borderless">
                    <tbody>
                        <tr>
                            <td>{{__('fathers.father_degree_kinship')}}Father Degree Of Kinship</td>
                            <td>{{ $student_father_profile->father_degree_of_kinship }}</td>
                        </tr>
                        <tr>
                            <td>{{__('fathers.father_job')}}</td>
                            <td>{{ $student_father_profile->father_job }}</td>
                        </tr>
                        <tr>
                            <td>{{__('fathers.father_qualification')}}</td>
                            <td>{{ $student_father_profile->father_qualification }}</td>
                        </tr>
                        <tr>
                            <td>{{__('fathers.father_other_qualification')}}</td>
                            <td>{{ $student_father_profile->father_qualification_other }}</td>
                        </tr>
                        <tr>
                            <td>{{__('fathers.father_wedding_date')}}</td>
                            <td>{{ $student_father_profile->father_wedding_date }}</td>
                        </tr>
                        <tr>
                            <td>{{__('fathers.father_interests')}}</td>
                            <td>{{ $student_father_profile->father_interests }}</td>
                        </tr>
                        <tr>
                            <td>{{__('fathers.father_age_at_student_birth')}}</td>
                            <td>{{ $student_father_profile->father_age_at_student_birth }}</td>
                        </tr>
                        <tr>
                            <td>{{__('fathers.father_relation_with_child')}}</td>
                            <td>{{ $student_father_profile->father_relation_with_child }}</td>
                        </tr>
                        <tr>
                            <td>{{__('fathers.student_attitudes_towards_parent')}}</td>
                            <td>{{ $student_father_profile->father_attitudes_towards_parent }}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    {{-- Father His Children Data --}}
    <div class="tab-pane fade" id="v-pills-father-children" role="tabpanel"
        aria-labelledby="v-pills-father-children-tab">
        <div class="panel panel-default">
            <div class="panel-head">
                <div class="panel-title border-bottom mb-3 p-3 font-weight-lighter h5">{{__('fathers.father_childrens')}}</div>
            </div>
            <div class="panel-body p-3">
                <table class="table table-striped user-table table-borderless">
                    <thead>
                        <tr>
                            <th scope="col">{{__('fathers.student_image')}}</th>
                            <th scope="col">{{__('fathers.student_name')}}</th>
                            <th scope="col">{{__('fathers.student_phone')}}</th>
                            <th scope="col">{{__('fathers.student_gender')}}</th>
                            <th scope="col">{{__('fathers.student_dob')}}</th>
                            <th scope="col">{{__('fathers.actions')}}</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($students as $student)
                            <tr>
                                <th scope="row">
                                    @if ($student->image !== null)
                                        <img class="image-fload" width="100px" height="100px"
                                            src='{{ asset("uploads/$student->image") }}'
                                            alt="{{ $student->student_name }}">
                                    @else
                                    {{__('fathers.no_student_image')}}
                                    @endif
                                </th>
                                <td>
                                    <a class="text-decoration-none" href="{{ route('viewStudent', $student->id) }}">
                                        <p>{{ $student->student_name }}</p>
                                    </a>
                                </td>
                                <td>
                                    <p>{{ $student->phone }}</p>
                                </td>
                                <td>
                                    <p>{{ $student->gender }}</p>
                                </td>
                                <td>
                                    <p>{{ $student->dob }}</p>
                                </td>
                                <td>
                                    <div class="btn-group">

                                        <i data-bs-toggle="dropdown" aria-expanded="false"
                                            class="fa-solid fa-ellipsis  dropdown-toggle mx-3 opacity-75"></i>

                                        <ul class="dropdown-menu px-2 py-3 shadow bg-white bg-gradient border-0">
                                            <li>
                                                <a class="dropdown-item opacity-75 "
                                                    href="{{ route('viewStudent', $student->id) }}">
                                                    <i class="fa-solid fa-eye me-2 text-custome"></i>
                                                    {{__('fathers.view')}}
                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item opacity-75 "
                                                    href="{{ route('editStudent', $student->id) }}">
                                                    <i class="fa-solid fa-pen-to-square me-2 text-warning"></i>
                                                    {{__('fathers.edit')}}
                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item opacity-75 "
                                                    href="{{ route('deleteStudent', $student->id) }}">
                                                    <i class="fa-solid fa-trash-can me-2 text-danger"></i>
                                                    {{__('fathers.delete')}}
                                                </a>
                                            </li>
                                        </ul>
                                    </div>
                                </td>
                            </tr>
                        @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div>
@endsection
