@extends('layouts.list')

@section('title')
    All Mothers
@endsection

@section('list-title')
    {{__('mothers.mother')}}
@endsection

@section('list-navigation')
    <li>{{__('mothers.mother')}}</li>
@endsection

@section('list-new-button')
    <a href="{{ route('createMother') }}" class="btn btn-outline-primary btn-sm me-2">
        <i class="fa-solid fa-plus me-2"></i>{{__('mothers.new_mother')}}
    </a>
@endsection

@section('list-table-header')
    <th scope="col">#</th>
    <th scope="col">{{__('mothers.image')}}</th>
    <th scope="col">{{__('mothers.mother')}}</th>
    <th scope="col">{{__('mothers.nationality')}}</th>
    <th scope="col">{{__('mothers.created_by')}}</th>
    <th scope="col">{{__('mothers.actions')}}</th>
@endsection

@section('list-table-body')
    @foreach ($student_mother_profiles as $student_mother_profile)
        <tr>
            <td>
                <p class="m-0 px-3">1</p>
            </td>
            <th scope="row"  class="imageTitle">
                @if ($student_mother_profile->mother_image !== null&& $student_mother_profile->mother_image !== '')
                    <img class="image-fload" width="100px" height="100px"
                        src='{{ asset("uploads/$student_mother_profile->mother_image") }}'
                        alt="{{ $student_mother_profile->mother_name }}">
                @else
                <h2> {{ $student_mother_profile->mother_name[0] }}</h2>
                @endif
            </th>
            <td class="Zindex g-2 row Zindex1">
                <h6 class="col-sm-4">{{__('mothers.full_name')}}</h6>
                <a class="text-decoration-none col-sm-8" href="{{ route('viewMother', $student_mother_profile->id) }}">
                    <p class="text-custome m-0 ">{{ $student_mother_profile->mother_name }}</p>
                </a>
                <h6 class="col-sm-4">{{__('mothers.email_address')}}</h6>
                <p class="m-0 col-sm-8">{{ $student_mother_profile->mother_email }}</p>
                <h6 class="col-sm-4">{{__('mothers.mobile_number')}}</h6>
                <p class="m-0 col-sm-8">{{ $student_mother_profile->mother_phone }}</p>
            </td>
            <td class="Zindex g-2 row">
                <h6 class="col-sm-4">{{__('mothers.nationality')}}</h6>
                <p class="m-0 col-sm-8">{{ $student_mother_profile->mother_nationality }}</p>
            </td>
            <td class="Zindex g-2 row">
                <h6 class="col-sm-4">{{__('mothers.created_by')}}</h6>
                <a class="text-decoration-none col-sm-8" href="{{ route('viewUser', $student_mother_profile->mother_created_by) }}">
                    <p class="text-custome m-0">
                        {{ $student_mother_profile->createdPerson->full_name }}</p>
                </a>
            </td>
            <td>
                <div class="btn-group">

                    <i data-bs-toggle="dropdown" aria-expanded="false"
                        class="fa-solid fa-ellipsis  dropdown-toggle mx-3 opacity-75"></i>

                    <ul class="dropdown-menu px-2 py-3 shadow bg-white bg-gradient border-0">
                        <li>
                            <a class="dropdown-item opacity-75 "
                                href="{{ route('viewMother', $student_mother_profile->id) }}">
                                <i class="fa-solid fa-eye me-2 text-custome"></i>
                                {{__('mothers.view')}}
                            </a>
                        </li>
                        <li>
                            <a class="dropdown-item opacity-75 "
                                href="{{ route('editMother', $student_mother_profile->id) }}">
                                <i class="fa-solid fa-pen-to-square me-2 text-warning"></i>
                                {{__('mothers.edit')}}
                            </a>
                        </li>
                        @if (Auth::user()->role == "super_admin" || Auth::user()->role == "owner")
                        <li>
                            <a class="dropdown-item opacity-75 "
                                href="{{ route('deleteMother', $student_mother_profile->id) }}">
                                <i class="fa-solid fa-trash-can me-2 text-danger"></i>
                                {{__('mothers.delete')}}
                            </a>
                        </li>
                        @endif
                    </ul>
                </div>
            </td>
        </tr>
    @endforeach
@endsection

@section('list-table-inside-pagination')
    {{-- <div class="d-flex">
    {!! $student_mother_profiles->links() !!}
</div> --}}
@endsection

@section('list-pagination')
    {{-- {{ $student_mother_profiles->links() }} --}}
@endsection
