@extends('layouts.form')

@section('title')
    Edit Superior
@endsection

@section('form-title')
    {{__('superiors.edit_superior')}}
@endsection

@section('form-navigation')
    <li><a class="text-decoration-none" href="{{ route('allSuperiors') }}">{{__('superiors.list_superiors')}}</a></li>
    <li>{{__('superiors.edit_superior')}} - {{ $student_superior_profile->superior_name }}</li>
@endsection

@section('form-tabs-li')
    <li class="nav-item" role="presentation">
        <button class="nav-link active" id="pills-basic-info-tab" data-bs-toggle="pill" data-bs-target="#pills-basic-info"
            type="button" role="tab" aria-controls="pills-basic-info" aria-selected="true">{{__('superiors.basic_info')}}</button>
    </li>
    <li class="nav-item" role="presentation">
        <button class="nav-link" id="pills-address-info-tab" data-bs-toggle="pill" data-bs-target="#pills-address-info"
            type="button" role="tab" aria-controls="pills-address-info" aria-selected="false">{{__('superiors.address_info')}}</button>
    </li>
    <li class="nav-item" role="presentation">
        <button class="nav-link" id="pills-social-links-tab" data-bs-toggle="pill" data-bs-target="#pills-social-links"
            type="button" role="tab" aria-controls="pills-social-links" aria-selected="false">{{__('superiors.social_links')}}</button>
    </li>
    <li class="nav-item" role="presentation">
        <button class="nav-link" id="pills-education-info-tab" data-bs-toggle="pill"
            data-bs-target="#pills-education-info" type="button" role="tab" aria-controls="pills-education-info"
            aria-selected="false">{{__('superiors.education_info')}}</button>
    </li>
@endsection

@section('form-tabs-content')
    <form class="needs-validation" method="POST" action="{{ route('updateSuperior', $student_superior_profile->id) }}"
        enctype="multipart/form-data">
        @csrf

        <div class="tab-content" id="pills-tabContent">
            {{-- Basic Info Group --}}
            <div class="tab-pane fade show active px-3" id="pills-basic-info" role="tabpanel"
                aria-labelledby="pills-basic-info-tab">

                {{-- <form class="row g-3 needs-validation flex-row-reverse text-end" novalidate> --}}
                <div class="row">

                    {{-- Full Name --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_name" class="form-label">{{__('superiors.full_name')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_name"
                                aria-describedby="nameHelp" placeholder="{{__('superiors.enter')}} {{__('superiors.superior_full_name')}} {{__('superiors.dots')}}" name="superior_name"
                                value="{{ old('superior_name') ?? $student_superior_profile->superior_name }}" required>
                        
                        </div>
                    </div>

                    {{-- Email --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_email" class="form-label">{{__('superiors.email_address')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-envelope"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_email"
                                aria-describedby="superior_email" placeholder="{{__('superiors.enter')}} {{__('superiors.superior_email_address')}} {{__('superiors.dots')}}"
                                name="superior_email"
                                value="{{ old('superior_email') ?? $student_superior_profile->superior_email }}" required>
                         
                        </div>
                    </div>

                    {{-- Mobile Number --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_phone" class="form-label">{{__('superiors.mobile_number')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_phone"
                                placeholder="{{__('superiors.enter')}} {{__('superiors.superior_mobile_number')}} {{__('superiors.dots')}}" name="superior_phone"
                                value="{{ old('superior_phone') ?? $student_superior_profile->superior_phone }}" required>
                           
                        </div>
                    </div>

                    {{-- Alternative Mobile Number --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_alternative_phone" class="form-label">{{__('superiors.alternative_mobile_number')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_alternative_phone"
                                placeholder="{{__('superiors.enter')}} {{__('superiors.superior_alternative_mobile_number')}} {{__('superiors.dots')}}"
                                name="superior_alternative_phone"
                                value="{{ old('superior_alternative_phone') ?? $student_superior_profile->superior_alternative_phone }}">
                           
                        </div>
                    </div>

                    {{-- Nationality --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_nationality" class="form-label">{{__('superiors.nationality')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_nationality"
                                placeholder="{{__('superiors.enter')}} {{__('superiors.superior_nationality')}} {{__('superiors.dots')}}" name="superior_nationality"
                                value="{{ old('superior_nationality') ?? $student_superior_profile->superior_nationality }}"
                                required>
                     

                        </div>
                    </div>

                    {{-- National Number --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_national_number" class="form-label">{{__('superiors.national_number')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_national_number"
                                placeholder="{{__('superiors.enter')}} {{__('superiors.superior_national_number')}} {{__('superiors.dots')}}" name="superior_national_number"
                                value="{{ old('superior_national_number') ?? $student_superior_profile->superior_national_number }}"
                                required>
                        
                        </div>
                    </div>

                {{-- Upload Image --}}
                <div class="col-md-2 mt-4">
                    @if ($student_superior_profile->superior_image !== null)
                        <div class="form-group">
                            <img class="image-fload" width="100%" height="100%"
                                src='{{ asset("uploads/$student_superior_profile->superior_image") }}'
                                alt="{{ $student_superior_profile->superior_name }}">
                        </div>
                    @else
                        <br>
                        <p class="filelabel">{{__('superiors.no_superior_image')}}</p>
                    @endif
                </div>
                <div class="col-md-2 mt-4">
                    <label for="image_input" class="form-label filelabel">
                        <i class="fa fa-paperclip">
                        </i>
                        <span class="title">
                            {{__('superiors.upload_superior_image')}}
                        </span>
                        <input class="FileUpload1 form-control" id="image_input" name="superior_image" type="file" />
                    </label>
                </div>

                    {{-- Date of Birth --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_dob" class="form-label">{{__('superiors.superior_dob')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="date" class="form-control text-start" id="superior_dob"
                                placeholder="{{__('superiors.enter')}} {{__('superiors.superior_dob')}} {{__('superiors.dots')}}" name="superior_dob"
                                value="{{ old('superior_dob') ?? $student_superior_profile->superior_dob }}" required>
                      
                        </div>
                    </div>

                    {{-- Gender --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_gender" class="form-label">{{__('superiors.gender')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-check"></i>
                            </span>
                            <select class="form-control text-start custom-select" id="superior_gender"
                                name="superior_gender" required>
                                <option value="" disabled>{{__('superiors.choose_option')}}</option>
                                <option value="Male"
                                    @if (old('superior_gender') == null) {{ $student_superior_profile->superior_gender == 'Male' ? 'selected' : '' }} @else {{ old('superior_gender') == 'Male' ? 'selected' : '' }} @endif>
                                    {{__('superiors.male')}}</option>
                                <option value="Female"
                                    @if (old('superior_gender') == null) {{ $student_superior_profile->superior_gender == 'Female' ? 'selected' : '' }} @else {{ old('superior_gender') == 'Female' ? 'selected' : '' }} @endif>
                                    {{__('superiors.female')}}</option>
                            </select>
                           
                        </div>
                    </div>

                    {{-- Superior Job --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_job" class="form-label">{{__('superiors.superior_job')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_job"
                                placeholder="{{__('superiors.enter')}} {{__('superiors.superior_job')}} {{__('superiors.dots')}}" name="superior_job"
                                value="{{ old('superior_job') ?? $student_superior_profile->superior_job }}" required>
                            
                        </div>
                    </div>

                    {{-- Degree Of Kinship --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_degree_of_kinship" class="form-label">{{__('superiors.degree_kinship')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_degree_of_kinship"
                                placeholder="{{__('superiors.enter')}} {{__('superiors.superior_degree_kinship')}} {{__('superiors.dots')}}" name="superior_degree_of_kinship"
                                value="{{ old('superior_degree_of_kinship') ?? $student_superior_profile->superior_degree_of_kinship }}"
                                required>
                           
                        </div>
                    </div>

                    {{-- Marital Status --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_marital_status" class="form-label">{{__('superiors.marital_status')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-check"></i>
                            </span>
                            <select class="form-control text-start custom-select" id="superior_marital_status"
                                name="superior_marital_status" required>
                                <option value="">{{__('superiors.choose_option')}}</option>
                                <option value="Single"
                                    @if (old('superior_marital_status') == null) {{ $student_superior_profile->superior_marital_status == 'Single' ? 'selected' : '' }} @else {{ old('superior_marital_status') == 'Single' ? 'selected' : '' }} @endif>
                                    {{__('superiors.single')}}</option>
                                <option value="Married"
                                    @if (old('superior_marital_status') == null) {{ $student_superior_profile->superior_marital_status == 'Married' ? 'selected' : '' }} @else {{ old('superior_marital_status') == 'Married' ? 'selected' : '' }} @endif>
                                    {{__('superiors.married')}}</option>
                                <option value="Divorced"
                                    @if (old('superior_marital_status') == null) {{ $student_superior_profile->superior_marital_status == 'Divorced' ? 'selected' : '' }} @else {{ old('superior_marital_status') == 'Divorced' ? 'selected' : '' }} @endif>
                                    {{__('superiors.divorced')}}</option>
                            </select>
                        
                        </div>
                    </div>

                </div>

            </div>

            {{-- Address Info --}}
            <div class="tab-pane fade show px-3" id="pills-address-info" role="tabpanel"
                aria-labelledby="pills-address-info-tab">

                <div class="row">

                    {{-- Address --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_address" class="form-label">{{__('superiors.address')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_address"
                                aria-describedby="superior_address" placeholder="{{__('superiors.enter')}} {{__('superiors.superior_address')}} {{__('superiors.dots')}}"
                                name="superior_address"
                                value="{{ old('superior_address') ?? $student_superior_profile->superior_address }}">
                         
                        </div>
                    </div>

                    {{-- City --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_city" class="form-label">{{__('superiors.city')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-envelope"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_city"
                                aria-describedby="superior_city" placeholder="{{__('superiors.enter')}} {{__('superiors.superior_city')}} {{__('superiors.dots')}}" name="superior_city"
                                value="{{ old('superior_city') ?? $student_superior_profile->superior_city }}">
                           
                        </div>
                    </div>

                    {{-- State --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_state" class="form-label">{{__('superiors.state')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_state"
                                aria-describedby="superior_state" placeholder="{{__('superiors.enter')}} {{__('superiors.superior_state')}} {{__('superiors.dots')}}"
                                name="superior_state"
                                value="{{ old('superior_state') ?? $student_superior_profile->superior_state }}">
                        
                        </div>
                    </div>

                    {{-- Country --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_country" class="form-label">{{__('superiors.country')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-envelope"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_country"
                                aria-describedby="superior_country" placeholder="{{__('superiors.enter')}} {{__('superiors.superior_country')}} {{__('superiors.dots')}}"
                                name="superior_country"
                                value="{{ old('superior_country') ?? $student_superior_profile->superior_country }}">
                         
                        </div>
                    </div>

                    {{-- Landmark --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_landmark" class="form-label">{{__('superiors.landmark')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-envelope"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_landmark"
                                aria-describedby="superior_landmark" placeholder="{{__('superiors.enter')}} {{__('superiors.superior_landmark')}} {{__('superiors.dots')}}"
                                name="superior_landmark"
                                value="{{ old('superior_landmark') ?? $student_superior_profile->superior_landmark }}">
                           
                        </div>
                    </div>


                </div>
            </div>



            {{-- Socail Links --}}
            <div class="tab-pane fade show px-3" id="pills-social-links" role="tabpanel"
                aria-labelledby="pills-social-links-tab">

                <div class="row">

                    {{-- FaceBook Link --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_fb_link" class="form-label">{{__('superiors.fb_Link')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="url" class="form-control text-start" id="superior_fb_link"
                                placeholder="{{__('superiors.enter')}} {{__('superiors.fb_Link')}} {{__('superiors.dots')}}" name="superior_fb_link"
                                value="{{ old('superior_fb_link') ?? $student_superior_profile->superior_fb_link }}">
                           
                        </div>
                    </div>

                    {{-- Twitter Link --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_twitter_link" class="form-label">{{__('superiors.twitter_link')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="url" class="form-control text-start" id="superior_twitter_link"
                                placeholder="{{__('superiors.enter')}} {{__('superiors.twitter_link')}} {{__('superiors.dots')}}" name="superior_twitter_link"
                                value="{{ old('superior_twitter_link') ?? $student_superior_profile->superior_twitter_link }}">
                     
                        </div>
                    </div>

                    {{-- Social Media Link --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_social_media_1" class="form-label">{{__('superiors.social_media_link')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="url" class="form-control text-start" id="superior_social_media_1"
                                placeholder="{{__('superiors.enter')}} {{__('superiors.social_media_link')}} {{__('superiors.dots')}}" name="superior_social_media_1"
                                value="{{ old('superior_social_media_1') ?? $student_superior_profile->superior_social_media_1 }}">
                          
                        </div>
                    </div>

                    {{-- Social Media Link 2 --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_social_media_2" class="form-label">{{__('superiors.social_media_link')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="url" class="form-control text-start" id="superior_social_media_2"
                                placeholder="{{__('superiors.enter')}} {{__('superiors.social_media_link')}} {{__('superiors.dots')}}" name="superior_social_media_2"
                                value="{{ old('superior_social_media_2') ?? $student_superior_profile->superior_social_media_2 }}">
                         
                        </div>
                    </div>


                </div>
            </div>


            {{-- Education Info --}}
            <div class="tab-pane fade show px-3" id="pills-education-info" role="tabpanel"
                aria-labelledby="pills-education-info-tab">

                <div class="row">

                    {{-- Qualification --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_qualification" class="form-label">{{__('superiors.qualification')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-check"></i>
                            </span>
                            <select class="form-control text-start custom-select" id="superior_qualification"
                                name="superior_qualification" required>
                                <option value="Bachelor"
                                    @if (old('superior_qualification') == null) {{ $student_superior_profile->superior_qualification == 'Bachelor' ? 'selected' : '' }} @else {{ old('superior_qualification') == 'Bachelor' ? 'selected' : '' }} @endif>
                                    {{__('superiors.bachelor')}}</option>
                                <option value="Diploma"
                                    @if (old('superior_qualification') == null) {{ $student_superior_profile->superior_qualification == 'Diploma' ? 'selected' : '' }} @else {{ old('superior_qualification') == 'Diploma' ? 'selected' : '' }} @endif>
                                    {{__('superiors.diploma')}}</option>
                                <option value="Phd"
                                    @if (old('superior_qualification') == null) {{ $student_superior_profile->superior_qualification == 'Phd' ? 'selected' : '' }} @else {{ old('superior_qualification') == 'Phd' ? 'selected' : '' }} @endif>
                                    {{__('superiors.phd')}}</option>
                                <option value="Other"
                                    @if (old('superior_qualification') == null) {{ $student_superior_profile->superior_qualification == 'Other' ? 'selected' : '' }} @else {{ old('superior_qualification') == 'Other' ? 'selected' : '' }} @endif>
                                    {{__('superiors.other')}}</option>
                            </select>
                     
                        </div>
                    </div>
                    {{-- If other selected show the other qualification --}}
                    {{-- Other Qualification --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_qualification_other" class="form-label">{{__('superiors.other_qualification')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-envelope"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_qualification_other"
                                aria-describedby="superior_qualification_other"
                                placeholder="{{__('superiors.enter')}} {{__('superiors.superior_other_qualification')}} {{__('superiors.dots')}}" name="superior_qualification_other"
                                value="{{ old('superior_qualification_other') ?? $student_superior_profile->superior_qualification_other }}">
                          
                        </div>
                    </div>

                    {{-- Wedding Date --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_wedding_date" class="form-label">{{__('superiors.wedding_date')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="date" class="form-control text-start" id="superior_wedding_date"
                                placeholder="{{__('superiors.enter')}} {{__('superiors.superior_wedding_date')}} {{__('superiors.dots')}}" name="superior_wedding_date"
                                value="{{ old('superior_wedding_date') ?? $student_superior_profile->superior_wedding_date }}"
                                required>
                       
                        </div>
                    </div>

                    {{-- Interests --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_interests" class="form-label">{{__('superiors.interests')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-envelope"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_interests"
                                aria-describedby="superior_interests" placeholder="{{__('superiors.enter')}} {{__('superiors.superior_interests')}} {{__('superiors.dots')}}"
                                name="superior_interests"
                                value="{{ old('superior_interests') ?? $student_superior_profile->superior_interests }}">
                            
                        </div>
                    </div>

                    {{-- Superior Age At Student Birth --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_age_at_student_birth" class="form-label">{{__('superiors.superior_age_at_student_birth')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_age_at_student_birth"
                                aria-describedby="superior_age_at_student_birth"
                                placeholder="{{__('superiors.enter')}} {{__('superiors.superior_age_at_student_birth')}} {{__('superiors.dots')}}" name="superior_age_at_student_birth"
                                value="{{ old('superior_age_at_student_birth') ?? $student_superior_profile->superior_age_at_student_birth }}">
                           
                        </div>
                    </div>

                    {{-- Superior Relation With Child --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_relation_with_child" class="form-label">{{__('superiors.superior_relation_with_child')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-envelope"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_relation_with_child"
                                aria-describedby="superior_relation_with_child"
                                placeholder="{{__('superiors.enter')}} {{__('superiors.superior_relation_with_child')}} {{__('superiors.dots')}}" name="superior_relation_with_child"
                                value="{{ old('superior_relation_with_child') ?? $student_superior_profile->superior_relation_with_child }}">
                           
                        </div>
                    </div>

                    {{-- Student Attitudes Towards Parent --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_attitudes_towards_parent" class="form-label">{{__('superiors.student_attitudes_towards_parent')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-envelope"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_attitudes_towards_parent"
                                aria-describedby="superior_attitudes_towards_parent"
                                placeholder="{{__('superiors.enter')}} {{__('superiors.student_attitudes_towards_parent')}} {{__('superiors.dots')}}"
                                name="superior_attitudes_towards_parent"
                                value="{{ old('superior_attitudes_towards_parent') ?? $student_superior_profile->superior_attitudes_towards_parent }}">
                         
                        </div>
                    </div>

                    {{-- Superior Pregnancy Number --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_pregnancy_number" class="form-label">{{__('superiors.superior_pregnancy_number')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-envelope"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_pregnancy_number"
                                aria-describedby="superior_pregnancy_number"
                                placeholder="{{__('superiors.enter')}} {{__('superiors.superior_pregnancy_number')}} {{__('superiors.dots')}}" name="superior_pregnancy_number"
                                value="{{ old('superior_pregnancy_number') ?? $student_superior_profile->superior_pregnancy_number }}">
                           
                        </div>
                        <small id="superior_pregnancy_number" class="form-text text-muted">
                            {{__('superiors.if_geneder_female')}}
                        </small>
                    </div>

                    {{-- Superior Miscarriages Number --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_miscarriages_number" class="form-label">{{__('superiors.superior_miscarriages_number')}}</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-envelope"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_miscarriages_number"
                                aria-describedby="superior_miscarriages_number"
                                placeholder="{{__('superiors.enter')}} {{__('superiors.superior_miscarriages_number')}} {{__('superiors.dots')}}" name="superior_miscarriages_number"
                                value="{{ old('superior_miscarriages_number') ?? $student_superior_profile->superior_miscarriages_number }}">
                      
                        </div>
                        <small id="superior_miscarriages_number" class="form-text text-muted">
                            {{__('superiors.if_geneder_female')}}
                        </small>
                    </div>

                </div>
            </div>


        </div>


        <div class="col-12">
            <button class="btn btn-outline-primary" type="submit">{{__('superiors.save')}}</button>
        </div>

    </form>
@endsection
