@extends('layouts.list')

@section('title')
    All Superiors
@endsection

@section('list-title')
    {{__('superiors.superiors')}}
@endsection

@section('list-navigation')
    <li>{{__('superiors.superiors')}}</li>
@endsection

@section('list-new-button')
    <a href="{{ route('createSuperior') }}" class="btn btn-outline-primary btn-sm me-2">
        <i class="fa-solid fa-plus me-2"></i>{{__('superiors.new_superior')}}
    </a>
@endsection

@section('list-table-header')
    <th scope="col">#</th>
    <th scope="col">{{__('superiors.image')}}</th>
    <th scope="col">{{__('superiors.superior')}}</th>
    <th scope="col">{{__('superiors.nationality')}}</th>
    <th scope="col">{{__('superiors.gender')}}</th>
    <th scope="col">{{__('superiors.created_by')}}</th>
    <th scope="col">{{__('superiors.actions')}}</th>
@endsection

@section('list-table-body')
    @foreach ($student_superior_profiles as $student_superior_profile)
        <tr>
            <td>
                <p class="m-0 px-3">1</p>
            </td>
            <th scope="row" class="imageTitle">
                @if ($student_superior_profile->superior_image !== null && $student_superior_profile->superior_image !== '')
                    <img class="image-fload" width="100px" height="100px"
                        src='{{ asset("uploads/$student_superior_profile->superior_image") }}'
                        alt="{{ $student_superior_profile->superior_name }}">
                @else
                    <h2> {{ $student_superior_profile->superior_name[0] }}</h2>
                @endif
            </th>
            <td class="Zindex g-2 row Zindex1 ">
                <h6 class="col-sm-4">{{__('superiors.full_name')}}</h6>
                <a class="text-decoration-none col-sm-8" href="{{ route('viewSuperior', $student_superior_profile->id) }}">
                    <p class="text-custome m-0 ">{{ $student_superior_profile->superior_name }}
                    </p>
                </a>
                <h6 class="col-sm-4">{{__('superiors.email_address')}}</h6>
                <p class="m-0 col-sm-8">{{ $student_superior_profile->superior_email }}</p>
                <h6 class="col-sm-4">{{__('superiors.mobile_number')}}</h6>
                <p class="m-0 col-sm-8">{{ $student_superior_profile->superior_phone }}</p>
            </td>
            <td class="Zindex g-2 row">
                <h6 class="col-sm-4">{{__('superiors.nationality')}}</h6>
                <p class="m-0 col-sm-8">{{ $student_superior_profile->superior_nationality }}</p>
            </td>
            <td class="Zindex g-2 row">
                <h6 class="col-sm-4">{{__('superiors.gender')}}</h6>
                <p class="m-0 col-sm-8">{{ $student_superior_profile->superior_gender }}</p>
            </td>
            <td class="Zindex g-2 row">
                <h6 class="col-sm-4">{{__('superiors.created_by')}}</h6>
                <a class="text-decoration-none col-sm-8" href="{{ route('viewUser', $student_superior_profile->id) }}">
                    <p class="text-custome m-0">
                        {{ $student_superior_profile->createdPerson->full_name }}</p>
                </a>
            </td>
            <td>
                <div class="btn-group">

                    <i data-bs-toggle="dropdown" aria-expanded="false"
                        class="fa-solid fa-ellipsis  dropdown-toggle mx-3 opacity-75"></i>

                    <ul class="dropdown-menu px-2 py-3 shadow bg-white bg-gradient border-0">
                        <li>
                            <a class="dropdown-item opacity-75 "
                                href="{{ route('viewSuperior', $student_superior_profile->id) }}">
                                <i class="fa-solid fa-eye me-2 text-custome"></i>
                                {{__('superiors.view')}}
                            </a>
                        </li>
                        <li>
                            <a class="dropdown-item opacity-75 "
                                href="{{ route('editSuperior', $student_superior_profile->id) }}">
                                <i class="fa-solid fa-pen-to-square me-2 text-warning"></i>
                                {{__('superiors.edit')}}
                            </a>
                        </li>
                        @if (Auth::user()->role == "super_admin" || Auth::user()->role == "owner")
                        <li>
                            <a class="dropdown-item opacity-75 "
                                href="{{ route('deleteSuperior', $student_superior_profile->id) }}">
                                <i class="fa-solid fa-trash-can me-2 text-danger"></i>
                                {{__('superiors.delete')}}
                            </a>
                        </li>
                        @endif
                    </ul>
                </div>
            </td>
        </tr>
    @endforeach
@endsection

@section('list-table-inside-pagination')
    {{-- <div class="d-flex">
    {!! $student_superior_profiles->links() !!}
</div> --}}
@endsection

@section('list-pagination')
    {{-- {{ $student_superior_profiles->links() }} --}}
@endsection
