@extends('layouts.list')

@section('title')
    All Trainers
@endsection

@section('list-title')
    {{__('trainers.trainers')}}
@endsection

@section('list-navigation')
    <li>{{__('trainers.trainers')}}</li>
@endsection

@section('list-new-button')
    <a href="{{ route('createTrainer') }}" class="btn btn-outline-primary btn-sm me-2">
        <i class="fa-solid fa-plus me-2"></i>{{__('trainers.trainers')}}
    </a>
@endsection

@section('list-table-header')
    <th scope="col">#</th>
    <th scope="col">{{__('trainers.image')}}</th>
    <th scope="col">{{__('trainers.trainer')}}</th>
    <th scope="col">{{__('trainers.gender')}}</th>
    <th scope="col">{{__('trainers.nationality')}}</th>
    <th scope="col">{{__('trainers.business_location_name')}}</th>
    <th scope="col">{{__('trainers.created_by')}}</th>
    <th scope="col">{{__('trainers.actions')}}</th>
@endsection

@section('list-table-body')
    @foreach ($trainers as $trainer)
        <tr>
            <td>
                <p class="m-0 px-3">1</p>
            </td>
            <th scope="row" class="imageTitle">
                @php
                    $image = $trainer->users->image;
                @endphp
                @if ($trainer->users->image !== null && $trainer->users->image !== '')
                    <img class="image-fload" width="100px" height="100px" src='{{ asset("uploads/$image") }}'
                        alt="{{ $trainer->users->full_name }}">
                @else
                    <h2> {{ $trainer->users->full_name[0] }}</h2>
                @endif
            </th>
            <td class="Zindex g-2 row Zindex1">
                <h6 class="col-sm-4">{{__('trainers.full_name')}}</h6>
                <a class="text-decoration-none col-sm-8" href="{{ route('viewTrainer', $trainer->id) }}">
                    <p class="text-custome m-0">{{ $trainer->users->full_name }}</p>
                </a>
                <h6 class="col-sm-4">{{__('trainers.email_address')}}</h6>
                <p class="m-0 col-sm-8">{{ $trainer->users->email }}</p>
                <h6 class="col-sm-4">{{__('trainers.mobile_number')}}</h6>
                <p class="m-0 col-sm-8">{{ $trainer->users->phone }}</p>
            </td>
            <td class="Zindex g-2 row">
                <h6 class="col-sm-4">{{__('trainers.gender')}}</h6>
                <p class="m-0 col-sm-8">{{ $trainer->users->gender }}</p>
            </td>
            <td class="Zindex g-2 row">
                <h6 class="col-sm-4">{{__('trainers.nationality')}}</h6>
                <p class="m-0 col-sm-8">{{ $trainer->users->nationality }}</p>
            </td>
            <td class="Zindex g-2 row">
                <h6 class="col-sm-4">{{__('trainers.business_location_name')}}</h6>
                <a class="text-decoration-none col-sm-8" href="{{ route('viewBusinessLocation', $trainer->business_id) }}">
                    <p class="m-0 ">{{ $trainer->businessLocation->business_name }}</p>
                </a>
            </td>
            <td class="Zindex g-2 row">
                <h6 class="col-sm-4">{{__('trainers.user_name')}}</h6>
                <a class="text-decoration-none col-sm-8" href="{{ route('viewUser', $trainer->created_by) }}">
                    <p class="m-0 ">{{ $trainer->createdBy->full_name }}</p>

                </a>
            </td>
            <td>
                <div class="btn-group">

                    <i data-bs-toggle="dropdown" aria-expanded="false"
                        class="fa-solid fa-ellipsis  dropdown-toggle mx-3 opacity-75"></i>

                    <ul class="dropdown-menu px-2 py-3 shadow bg-white bg-gradient border-0">
                        <li>
                            <a class="dropdown-item opacity-75 " href="{{ route('viewTrainer', $trainer->id) }}">
                                <i class="fa-solid fa-eye me-2 text-custome"></i>
                                {{__('trainers.view')}}
                            </a>
                        </li>
                        <li>
                            <a class="dropdown-item opacity-75 " href="{{ route('editTrainer', $trainer->id) }}">
                                <i class="fa-solid fa-pen-to-square me-2 text-warning"></i>
                                {{__('trainers.edit')}}
                            </a>
                        </li>
                        @if (Auth::user()->role == 'super_admin' || Auth::user()->role == 'owner')
                            <li>
                                <a class="dropdown-item opacity-75 " href="{{ route('deleteTrainer', $trainer->id) }}">
                                    <i class="fa-solid fa-trash-can me-2 text-danger"></i>
                                    {{__('trainers.delete')}}
                                </a>
                            </li>
                        @endif
                    </ul>
                </div>
            </td>
        </tr>
    @endforeach
@endsection

@section('list-table-inside-pagination')
    {{-- <div class="d-flex">
    {!! $trainers->links() !!}
</div> --}}
@endsection

@section('list-pagination')
    {{-- {{ $trainers->links() }} --}}
@endsection
