@extends('layouts.view')

@section('title')
    View Trainer
@endsection

@section('view-title')
    {{__('trainers.view_trainer')}} - {{ $trainer->users->full_name }}
@endsection

@section('view-navigation')
    <li><a class="text-decoration-none" href="{{ route('allTrainers') }}">{{__('trainers.list_trainers')}}</a></li>
    <li>{{__('trainers.view_trainer')}}</li>
@endsection

@section('view-panel')
    <div class="user-avtar">
        @if ($trainer->users->image !== null)
            @php
                $image = $trainer->users->image;
            @endphp
            <img class="img-thumbnail" style="width: 165px; height: 165px; border-radius: 100px;"
                src='{{ asset("uploads/$image") }}' alt="{{ $trainer->users->full_name }}">
        @else
            <span>{{ ucfirst($trainer->users->full_name[0]) }}</span>
        @endif
    </div>
    <div class="user-details text-center pt-3">
        <h3>{{ $trainer->users->full_name }}</h3>
        <div class="nav flex-column nav-pills me-3" id="v-pills-tab" role="tablist" aria-orientation="vertical">

            <button class="nav-link active" id="v-pills-trainer-info-tab" data-bs-toggle="pill"
                data-bs-target="#v-pills-trainer-info" type="button" role="tab" aria-controls="v-pills-trainer-info"
                aria-selected="true">
                <i class="fa-solid fa-circle-exclamation"></i><span>{{__('trainers.trainer_info')}}</span>
            </button>
            <button class="nav-link" id="v-pills-trainer-address-tab" data-bs-toggle="pill"
                data-bs-target="#v-pills-trainer-address" type="button" role="tab"
                aria-controls="v-pills-trainer-address" aria-selected="false"><i
                    class="fa-solid fa-address-book"></i><span>{{__('trainers.address_info')}}</span></button>
            <button class="nav-link" id="v-pills-trainer-social-media-tab" data-bs-toggle="pill"
                data-bs-target="#v-pills-trainer-social-media" type="button" role="tab"
                aria-controls="v-pills-trainer-social-media" aria-selected="false"><i
                    class="fa-solid fa-link"></i><span>{{__('trainers.social_links')}}</span></button>
            <button class="nav-link" id="v-pills-trainer-education-info-tab" data-bs-toggle="pill"
                data-bs-target="#v-pills-trainer-education-info" type="button" role="tab"
                aria-controls="v-pills-trainer-education-info" aria-selected="false"><i
                    class="fa-solid fa-university"></i><span>{{__('trainers.education_info')}}</span></button>
            <button class="nav-link" id="v-pills-trainer-experience-info-tab" data-bs-toggle="pill"
                data-bs-target="#v-pills-trainer-experience-info" type="button" role="tab"
                aria-controls="v-pills-trainer-experience-info" aria-selected="false"><i
                    class="fa-solid fa-graduation-cap"></i><span>{{__('trainers.experience_info')}}</span></button>
            <a class="nav-link" type="button" role="tab" aria-selected="false"
                href="{{ route('editTrainer', $trainer->id) }}"><i class="fa-solid fa-user-pen"></i><span>{{__('trainers.edit_trainer')}}</span></a>
            {{-- <button class="nav-link" id="v-pills-user-documents-tab" data-bs-toggle="pill" data-bs-target="#v-pills-user-documents" type="button" role="tab" aria-controls="v-pills-user-documents" aria-selected="false"><i class="fa-solid fa-envelope"></i><span>Send Email</span></button> --}}
            <button class="nav-link" id="v-pills-user-sendwhatsapp-tab" data-bs-toggle="pill"
                data-bs-target="#v-pills-user-sendwhatsapp" type="button" role="tab"
                aria-controls="v-pills-user-sendwhatsapp" aria-selected="false"><i class="fa-solid fa-envelope"></i>
                <span>{{__('trainers.send_whatsApp')}}</span></button>
        </div>
    </div>
@endsection


@section('view-tabs')
    {{-- Trainer Info --}}
    <div class="tab-pane fade show active" id="v-pills-trainer-info" role="tabpanel"
        aria-labelledby="v-pills-trainer-info-tab">
        <div class="panel panel-default">
            <div class="panel-head">
                <div class="panel-title border-bottom mb-3 p-3 font-weight-lighter h5">{{__('trainers.trainer_info')}}</div>
            </div>
            <div class="panel-body p-3">
                <table class="table table-striped user-table table-borderless">
                    <tbody>
                        <tr>
                            <td>{{__('trainers.user_name')}}</td>
                            <td>{{ $trainer->users->user_name }}</td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.full_name')}}</td>
                            <td>{{ $trainer->users->full_name }}</td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.email_address')}}</td>
                            <td>{{ $trainer->users->email }}</td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.mobile_number')}}</td>
                            <td>{{ $trainer->users->phone }}</td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.alternative_mobile_number')}}</td>
                            <td>{{ $trainer->users->alternative_phone }}</td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.dob')}}</td>
                            <td>{{ $trainer->users->dob }}</td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.gender')}}</td>
                            <td>{{ $trainer->users->gender }}</td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.blood_group')}}</td>
                            <td>{{ $trainer->users->blood_group }}</td>
                        </tr>
                        {{-- <tr>
                            <td>Mother Language</td>
                            <td>{{ $trainer->users->language }}</td>
                        </tr> --}}
                        <tr>
                            <td>{{__('trainers.nationality')}}</td>
                            <td>{{ $trainer->users->nationality }}</td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.national_number')}}</td>
                            <td>{{ $trainer->users->national_number }}</td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.marital_status')}}</td>
                            <td>{{ $trainer->users->marital_status }}</td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.business_location_name')}}</td>
                            <td><a class="text-decoration-none"
                                    href="{{ route('viewBusinessLocation', $trainer->business_id) }}">
                                    <p>{{ $trainer->businessLocation->business_name }}</p>
                                </a></td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.join_job_date')}}</td>
                            <td>{{ $trainer->join_job_date }}</td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.is_active')}}</td>
                            <td>
                                @if ($trainer->users->is_active == 'Active')
                                    <span class="text-success">{{ $trainer->users->is_active }}</span>
                                    {{-- <span> & </span>
                                    @if ($trainer->users->allow_login == 'Allowable')
                                        <span class="text-success">{{ $trainer->users->allow_login }} To Login</span>
                                    @else
                                        <span class="text-danger">{{ $trainer->users->allow_login }} To Login</span>
                                    @endif --}}
                                @else
                                    <span class="text-danger">{{ $trainer->users->is_active }}</span>
                                    {{-- <span> & </span>
                                    @if ($trainer->users->allow_login == 'Allowable')
                                        <span class="text-success">{{ $trainer->users->allow_login }} To Login</span>
                                    @else
                                        <span class="text-danger">{{ $trainer->users->allow_login }} To Login</span>
                                    @endif --}}
                                @endif
                            </td>
                        </tr>
                        {{-- <tr>
                <td>Email Confirmation</td>
                <td class="text-danger">Unconfirmed</td>
            </tr> --}}
                        <tr>
                            <td>{{__('trainers.created_by')}}</td>
                            <td><a class="text-decoration-none"
                                    href="{{ route('viewUser', $trainer->created_by) }}">{{ $trainer->createdBy->full_name }}
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    {{-- Trainer Address --}}
    <div class="tab-pane fade" id="v-pills-trainer-address" role="tabpanel" aria-labelledby="v-pills-trainer-address-tab">
        <div class="panel panel-default">
            <div class="panel-head">
                <div class="panel-title border-bottom mb-3 p-3 font-weight-lighter h5">{{__('trainers.address_info')}}</div>
            </div>
            <div class="panel-body p-3">
                <table class="table table-striped user-table table-borderless">
                    <tbody>
                        <tr>
                            <td>{{__('trainers.address')}}</td>
                            <td>{{ $trainer->users->address }}</td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.city')}}</td>
                            <td>{{ $trainer->users->city }}</td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.state')}}</td>
                            <td>{{ $trainer->users->state }}</td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.country')}}</td>
                            <td>{{ $trainer->users->country }}</td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.landmark')}}</td>
                            <td>{{ $trainer->users->landmark }}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    {{-- Trainer Social Media --}}
    <div class="tab-pane fade" id="v-pills-trainer-social-media" role="tabpanel"
        aria-labelledby="v-pills-trainer-social-media-tab">
        <div class="panel panel-default">
            <div class="panel-head">
                <div class="panel-title border-bottom mb-3 p-3 font-weight-lighter h5">{{__('trainers.trainer_social_media')}}</div>
            </div>
            <div class="panel-body p-3">
                <table class="table table-striped user-table table-borderless">
                    <tbody>
                        <tr>
                            <td>{{__('trainers.website_link')}}</td>
                            <td><a class="text-decoration-none"
                                    href="{{ $trainer->website }}">{{ $trainer->website }}</a></td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.fb_Link')}}</td>
                            <td><a class="text-decoration-none"
                                    href="{{ $trainer->users->fb_link }}">{{ $trainer->users->fb_link }}</a></td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.twitter_link')}}</td>
                            <td><a class="text-decoration-none"
                                    href="{{ $trainer->users->twitter_link }}">{{ $trainer->users->twitter_link }}</a>
                            </td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.social_media_link')}}</td>
                            <td><a class="text-decoration-none"
                                    href="{{ $trainer->users->social_media_1 }}">{{ $trainer->users->social_media_1 }}</a>
                            </td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.social_media_link')}}</td>
                            <td><a class="text-decoration-none"
                                    href="{{ $trainer->users->social_media_2 }}">{{ $trainer->users->social_media_2 }}</a>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    {{-- Trainer Education Info --}}
    <div class="tab-pane fade" id="v-pills-trainer-education-info" role="tabpanel"
        aria-labelledby="v-pills-trainer-education-info-tab">
        <div class="panel panel-default">
            <div class="panel-head">
                <div class="panel-title border-bottom mb-3 p-3 font-weight-lighter h5">{{__('trainers.trainer_education')}}</div>
            </div>
            <div class="panel-body p-3">
                <table class="table table-striped user-table table-borderless">
                    <tbody>
                        <tr>
                            <td>{{__('trainers.specialization')}}</td>
                            <td>{{ $trainer->specialization }}</td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.university')}}</td>
                            <td>{{ $trainer->university }}</td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.graduation_date')}}</td>
                            <td>{{ $trainer->graduation_date }}</td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.expereience')}}</td>
                            <td>{{ $trainer->expereience }}</td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.qualification')}}</td>
                            <td>{{ $trainer->qualification }}</td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.other_qualification')}}</td>
                            <td>{{ $trainer->qualification_other }}</td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.membership')}}</td>
                            <td>{{ $trainer->membership }}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    {{-- Trainer Experience Info --}}
    <div class="tab-pane fade" id="v-pills-trainer-experience-info" role="tabpanel"
        aria-labelledby="v-pills-trainer-experience-info-tab">
        <div class="panel panel-default">
            <div class="panel-head">
                <div class="panel-title border-bottom mb-3 p-3 font-weight-lighter h5">{{__('trainers.trainer_experience')}}</div>
            </div>
            <div class="panel-body p-3">
                <table class="table table-striped user-table table-borderless">
                    <tbody>
                        <tr>
                            <td>{{__('trainers.previous_job')}}</td>
                            <td>{{ $trainer->previous_job }}</td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.previous_job_address')}}</td>
                            <td>{{ $trainer->previous_job_address }}</td>
                        </tr>
                        <tr>
                            <td>{{__('trainers.previous_job_country')}}</td>
                            <td>{{ $trainer->previous_job_country }}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    {{-- Send Email --}}

    {{-- Send Whatsapp to User --}}
    <div class="tab-pane fade" id="v-pills-user-sendwhatsapp" role="tabpanel"
        aria-labelledby="v-pills-user-sendwhatsapp-tab">
        <div class="panel panel-default">
            <div class="panel-head">
                <div class="panel-title border-bottom mb-3 p-3 font-weight-lighter h5">{{__('trainers.send_whatsApp_to_trainer')}}
                </div>
            </div>
            <p></p>
            <form>
                <div class="panel-body p-3">
                    <div class="form-group">
                        <label>{{__('trainers.to')}}</label>
                        <input type="text" value="asdfasd fsdfas" class="form-control" readonly="">
                    </div>
                    <div class="form-group">
                        <label>{{__('trainers.message')}}</label>
                        <textarea class="form-control" placeholder="{{__('trainers.enter')}} {{__('trainers.message')}} {{__('trainers.dots')}}" id="whatsapp_message" rows="10"></textarea>
                    </div>
                </div>
                <div class="panel-footer text-center">
                    <a class="btn btn-outline-primary" onclick="send_whatsapp()">{{__('trainers.send')}}</a>
                    <script>
                        function send_whatsapp() {
                            let mobile = "{{ $trainer->users->phone }}";
                            let message = document.getElementById("whatsapp_message").value;
                            window.open('https://api.whatsapp.com/send?phone=' + mobile + '&text=' + message);
                            // window.location.href = "https://v6.devclinic.tps-egy.com/admin/index.php?route=patient/view&id=4", true;
                        }
                    </script>
                </div>
            </form>
        </div>
    </div>
@endsection
